> For the complete documentation index, see [llms.txt](https://docs.digibee.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digibee.com/documentation/release-notes/past-releases/release-notes-2022/january.md).

# January

## Release Notes 01-18-2022

#### OAuth AUTHENTICATION PROVIDERS <a href="#h_15cf01127f" id="h_15cf01127f"></a>

We are improving the registration flow of OAuth authentication providers in the Platform. So far, it was possible to integrate providers that followed the RFC 6749 standards using the Digibee application by making a request to our product development team.

Now, it’s possible to register dedicated providers (that use the client’s application) to your realm through the Platform by using the pre-registered providers offered by Digibee.

This way, it’s possible to use the resources of corporate accounts from Microsoft, accounts approved by Mercado Livre, and apps verified by Google.

[Click here](broken://pages/rCjR4Y1RqiSE1nCGJrnW) to learn more about OAuth authentication providers.\
[Click here](broken://pages/9ATG8rg0lh5s8dNl26ug) to read the full article on the registration flow of OAuth providers in the Platform.

#### TRIGGERS <a href="#h_80b241d212" id="h_80b241d212"></a>

* HTTP, HTTP File e REST: the triggers HTTP, HTTP File and REST allow the registration of headers on the pipeline’s request answer. This allows the registration of headers that expand the safety of the communication between pipelines.\
  \
  Examples:\
  "Strict-Transport-Security" : "max-age=648000; includeSubDomains; preload",\
  "Cache-Control" : "no-store",\
  "Content-Security-Policy" : "frame-ancestors 'none';",\
  "X-Content-Type-Options" : "nosniff",\
  "X-Frame-Options" : "DENY"\
  \
  **IMPORTANT**: [Click here](broken://pages/fuZemat1KHHaOCCzEA4M) to read the updated article about this component.

#### COMPONENTS <a href="#h_56fc6f5633" id="h_56fc6f5633"></a>

* **JWT:** we’ve updated this component and included 3 new algorithms for tokens’ signatures - ES256, ES384 e ES512. [Click here](broken://pages/fuZemat1KHHaOCCzEA4M) to read the updated article about this component.

We’ve also fixed a bug:

* **Globals:** we’ve corrected the error that allowed the registration of Globals with upper-case letters, even though these Globals were invalidated by the use of upper-case letters.\
  \
  **IMPORTANT**: incorrectly registered Globals (with upper-case letters) must be deleted.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digibee.com/documentation/release-notes/past-releases/release-notes-2022/january.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
